Package: audacity
Version: 1.3.12-5
Severity: important

*** Please type your report below this line ***
If I run audacity, practically nothing is displayed in the main window.
The menu is displayed properly, but the main windows looks mostly "blank".
For instance, I don't see any icons in tool bars. I just see their frames.

If I run:

  LC_MESSAGES=C audacity

it is displayed OK.

Also tested with a newly-created user, and thus I suppose this is not
related to my users's configuration.

I enabled several locales in my system and tested with them. The following 
displayed OK:

  LC_MESSAGES=en_US.UTF-8      audacity
  LC_MESSAGES=de_DE.UTF-8      audacity
  LC_MESSAGES=de_DE.ISO-8859-1 audacity
  LC_MESSAGES=C                audacity
  LC_MESSAGES=he               audacity
  LC_MESSAGES=ar               audacity

In the case of the latter two, I see the interface displayed properly, and
the menu is translated to Hebrew/Arabic, but the interface is not
"reversed": the menu is alligned to the left rather than to the right.

The following displayed the problematic interface:

  LC_MESSAGES=he_IL.UTF-8 LANG=C audacity
  LC_MESSAGES=ar_EG.UTF-8 LANG=C audacity
  LC_MESSAGES=he_IL.UTF-8        audacity
  LC_MESSAGES=ar_EG.UTF-8        audacity


In both cases I get several warnings on the command-line:

(Audacity:3726): atk-bridge-WARNING **: AT_SPI_REGISTRY was not started at 
session startup.

(Audacity:3726): atk-bridge-WARNING **: IOR not set.

(Audacity:3726): atk-bridge-WARNING **: Could not locate registry


I suppose it is not related. I should also point out that I run audacity
under icewm and not under gnome.

I believe that this issue has existed in the recent versions. Not exactly
sure when it started.

$ locale
LANG=he_IL.UTF-8
LC_CTYPE="he_IL.UTF-8"
LC_NUMERIC="he_IL.UTF-8"
LC_TIME="he_IL.UTF-8"
LC_COLLATE="he_IL.UTF-8"
LC_MONETARY="he_IL.UTF-8"
LC_MESSAGES="he_IL.UTF-8"
LC_PAPER="he_IL.UTF-8"
LC_NAME="he_IL.UTF-8"
LC_ADDRESS="he_IL.UTF-8"
LC_TELEPHONE="he_IL.UTF-8"
LC_MEASUREMENT="he_IL.UTF-8"
LC_IDENTIFICATION="he_IL.UTF-8"
LC_ALL=

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=he_IL.UTF-8, LC_CTYPE=he_IL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages audacity depends on:
ii  audacity-data               1.3.12-5     A fast, cross-platform audio edito
ii  libasound2                  1.0.23-1     shared library for ALSA applicatio
ii  libc6                       2.11.2-2     Embedded GNU C Library: Shared lib
ii  libexpat1                   2.0.1-7      XML parsing C library - runtime li
ii  libflac++6                  1.2.1-2+b1   Free Lossless Audio Codec - C++ ru
ii  libflac8                    1.2.1-2+b1   Free Lossless Audio Codec - runtim
ii  libgcc1                     1:4.4.4-8    GCC support library
ii  libglib2.0-0                2.24.1-1     The GLib library of C routines
ii  libgtk2.0-0                 2.20.1-1     The GTK+ graphical user interface 
ii  libid3tag0                  0.15.1b-10   ID3 tag reading library from the M
ii  libmad0                     0.15.1b-5    MPEG audio decoder library
ii  libogg0                     1.2.0~dfsg-1 Ogg bitstream library
ii  libsamplerate0              0.1.7-3      Audio sample rate conversion libra
ii  libsndfile1                 1.0.21-3     Library for reading/writing audio 
ii  libsoundtouch1c2            1.3.1-2      sound stretching library
ii  libstdc++6                  4.4.4-8      The GNU Standard C++ Library v3
ii  libtwolame0                 0.3.12-1     MPEG Audio Layer 2 encoding librar
ii  libvamp-hostsdk3            2.1-1        helper library for Vamp hosts writ
ii  libvorbis0a                 1.3.1-1      The Vorbis General Audio Compressi
ii  libvorbisenc2               1.3.1-1      The Vorbis General Audio Compressi
ii  libvorbisfile3              1.3.1-1      The Vorbis General Audio Compressi
ii  libwxbase2.8-0              2.8.10.1-3   wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0               2.8.10.1-3   wxWidgets Cross-platform C++ GUI t

Versions of packages audacity recommends:
ii  libavcodec52       5:0.6~svn20100726-0.0 library to encode decode multimedi
ii  libavformat52      5:0.6~svn20100726-0.0 ffmpeg file format library

Versions of packages audacity suggests:
ii  amb-plugins [ladspa-plugin]   0.6.1-2    ambisonics LADPSA plugins
ii  cmt [ladspa-plugin]           1.16-1     a collection of LADSPA plugins
ii  libmp3lame0                   3.98.4-0.0 LAME Ain't an MP3 Encoder
ii  mcp-plugins [ladspa-plugin]   0.3.0-4    LADSPA plugins designed for Alsa M
ii  swh-plugins [ladspa-plugin]   0.4.15+1-4 Steve Harris's LADSPA plugins
ii  tap-plugins [ladspa-plugin]   0.7.1-1    Tom's Audio Processing LADSPA plug

-- no debconf information

-- 
Tzafrir Cohen         | tzaf...@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzaf...@cohens.org.il |                    |  best
tzaf...@debian.org    |                    | friend



_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to